---
# SPDX-FileCopyrightText: Free Software Foundation Europe e.V.
#
# SPDX-License-Identifier: GPL-3.0-or-later

kind: pipeline
name: default

steps:
  - name: deploy
    image: docker:20
    environment:
      XDG_RUNTIME_DIR: "/run/user/1001"
      DOCKER_HOST: "unix:///run/user/1001/docker.sock"
    commands:
      - docker compose -p fedigov up --build -d
    volumes:
      - name: dockersock
        path: /run/user/1001/docker.sock
    when:
      branch:
        - main
      event:
        - push
        - tag
        - deployment

node:
  cont1: plutex

volumes:
  - name: dockersock
    host:
      path: /run/user/1001/docker.sock

---
kind: signature
hmac: 74e20397f4ec22215c14fea0c4a92031831e05e966d2743de30817a33be0c7ea

...
